## kwin-style-dekorator 0.4.0.2

=== client/config/CMakeLists.txt ===
set (kwin_deKorator_config_SOURCES deKoratorconfig.cc themes.cpp kthemeselector.cpp)
kde4_add_ui_files (kwin_deKorator_config_SOURCES configdialog.ui kthemeselectorwidgets.ui)

kde4_add_plugin (kwin_deKorator_config ${kwin_deKorator_config_SOURCES})
target_link_libraries (kwin_deKorator_config ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${KDE4_KNEWSTUFF2_LIBS})

install (TARGETS kwin_deKorator_config DESTINATION ${PLUGIN_INSTALL_DIR})
install (FILES deKoratorthemes.knsrc DESTINATION ${CONFIG_INSTALL_DIR})

## kwin-style-dekorator 0.5.1

=== CMakeLists.txt ===
project (dekorator)
cmake_minimum_required (VERSION 2.4)

find_package (KDE4 REQUIRED)
find_package (QImageBlitz REQUIRED)

#add_definitions (-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII)

include (KDE4Defaults)
include (MacroLibrary)
add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories (${KDE4_INCLUDES} ${QIMAGEBLITZ_INCLUDES})

add_subdirectory (client)

=== client/CMakeLists.txt ===
project (kwin-deKorator)

set (kwin_deKorator_SOURCES deKoratorclient.cc shadow.cpp)

kde4_add_plugin (kwin3_deKorator ${kwin_deKorator_SOURCES})
target_link_libraries (kwin3_deKorator ${KDE4_KDEUI_LIBS} ${QIMAGEBLITZ_LIBRARIES} kdecorations)
install (TARGETS kwin3_deKorator DESTINATION ${PLUGIN_INSTALL_DIR})
install (FILES deKorator.desktop DESTINATION ${DATA_INSTALL_DIR}/kwin)

add_subdirectory (config)

=== client/config/CMakeLists.txt ===
set (kwin_deKorator_config_SOURCES deKoratorconfig.cc deKoratorthemes.cpp themes.cpp kthemeselector.cpp)
kde4_add_ui_files (kwin_deKorator_config_SOURCES configdialog.ui kthemeselectorwidgets.ui)

kde4_add_plugin (kwin_deKorator_config ${kwin_deKorator_config_SOURCES})
target_link_libraries (kwin_deKorator_config ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} ${KDE4_KNEWSTUFF2_LIBS} ${KDE4_KNEWSTUFF3_LIBS})

install (TARGETS kwin_deKorator_config DESTINATION ${PLUGIN_INSTALL_DIR})
install (FILES deKoratorthemes.knsrc DESTINATION ${CONFIG_INSTALL_DIR})

=== debian/changelog ===
kwin-style-dekorator (0.5.1-1ubuntu3) saucy; urgency=low

  * Add kubuntu_fix_double_click.patch to close on double-clicking the menu
    button

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 May 2013 19:19:34 +0100

kwin-style-dekorator (0.5.1-1ubuntu2) quantal; urgency=low

  * No-change rebuild against libkdecorations4abi1.

 -- Felix Geyer <debfx@ubuntu.com>  Sun, 10 Jun 2012 00:40:50 +0200

kwin-style-dekorator (0.5.1-1ubuntu1) maverick; urgency=low

  * Use kde debhelper addon provided by pkg-kde-tools.

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 25 May 2010 19:33:21 +0200

kwin-style-dekorator (0.5.1-1) unstable; urgency=low

  * New 0.5.1 upstream release

  * Use source format 3.0 (quilt).
  * debian/control: fix double-word typo
  * Package with tiny dh instead of cdbs: adapt B-D accordingly.
  * Set DMUA.
  * Bump Standards to 3.8.4 - no changes needed.

 -- Didier Raboud <didier@raboud.com>  Tue, 18 May 2010 13:45:24 +0200

kwin-style-dekorator (0.4.0.2-2ubuntu1) karmic; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Use kde.mk from pkg-kde-tools rather than cmake.mk
    - Don't define DCMAKE_INSTALL_PREFIX, kde4.mk does that for us
    - Don't include .svn directory

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 24 Jun 2009 09:20:51 -0400

kwin-style-dekorator (0.4.0.2-2) unstable; urgency=low

  * Bump Standards to 3.8.2. No changes needed.
  * debian/copyright
    - Make it a little clearer to calm some lintian information tags.
    - Add myself to Debian packaging copyright holders.
    - Point to specific version of the GPL.
  * debian/control
    - Make the description clearer (LP: #102897).

 -- Didier Raboud <didier@raboud.com>  Sat, 11 Apr 2009 11:07:19 +0200

kwin-style-dekorator (0.4.0.2-1ubuntu1) karmic; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Use kde4.mk rather than cmake.mk
    - Don't define DCMAKE_INSTALL_PREFIX, kde4.mk does that for us
    - Don't include .svn directory
  * Fix grammar in the package description (LP: #102897)
  * Remove build-depend on quilt, we aren't using it

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 28 Apr 2009 14:51:33 -0400

kwin-style-dekorator (0.4.0.2-1) unstable; urgency=low

  * New upstream release, ported to KDE 4
  * Update to Standards 3.8.0 and debhelper 7.
  * debian/control
    - Add Homepage and Vcs-* fields.
    - Update the Build-Depends to KDE 4.
    - Fix "[kwin-style-dekorator] "KDE" lowercase is short description"
    (Closes: #504216)
    - Place the package under collaborative maintainship pkg-kde-extras.
  * debian/rules
    - Change the DEB_INSTALL_EXAMPLES_kwin-style-dekorator line to get rid of
      the .svn directory.
  * debian/copyright
    - Update to add copyright holders.

 -- Didier Raboud <didier@raboud.com>  Tue, 17 Feb 2009 16:17:18 +0100

kwin-style-dekorator (0.4.0.2-0ubuntu1) jaunty; urgency=low

  * New upstream release

 -- Steve Stalcup <vorian@ubuntu.com>  Mon, 09 Feb 2009 21:21:34 -0500

kwin-style-dekorator (0.4.0.1-0ubuntu1) jaunty; urgency=low

  * New upstream release
  * Archive rebuild

 -- Steve Stalcup <vorian@ubuntu.com>  Sat, 27 Dec 2008 11:10:04 -0500

kwin-style-dekorator (0.4-0ubuntu1) intrepid; urgency=low

  * New upstream release
  * debian/control
    - Updated maintainer to Kubuntu Developers
    - Add cmake, quilt, cdbs, kdebase-workspace-dev, libqt4-dev, and 
      libqimageblitz-dev to build deps
    - Add Homepage field
    - Bumped standards version to 3.8.0
    - Updated Short and Long description
  * debian/rules
    - updated rules to use cdbs kde4.mk
  * removed debian/docs

 -- Steve Stalcup <vorian@ubuntu.com>  Sat, 20 Dec 2008 22:16:31 -0500

kwin-style-dekorator (0.3-1) unstable; urgency=low

  * Initial release (Closes: #374869)

 -- Sune Vuorela <debian@pusling.com>  Wed, 21 Jun 2006 20:04:02 +0200

=== debian/control ===
Source: kwin-style-dekorator
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Didier Raboud <didier@raboud.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50), pkg-kde-tools (>= 0.5.0), cmake, libqimageblitz-dev, kdebase-workspace-dev
Standards-Version: 3.8.4
Homepage: http://www.kde-look.org/content/show.php/deKorator?content=87921
Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/kwin-style-dekorator/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/kwin-style-dekorator/?op=log

Package: kwin-style-dekorator
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Windows decoration engine for KDE 4 using user-supplied PNG files
 With deKorator, easily create your own window decoration for KDE 4!
 deKorator uses your own made images for buttons, borders and so on.
 Go ahead and be creative!
 An example called uglyTheme is provided to show its possibilities.
 .
 Themes can be created by the user with the help of a drawing program or can be 
 downloaded from http://www.kde-look.org/index.php?xcontentmode=21
 .
 This is a windows decoration engine, not a style.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh --with kde $@
